var http = require("http");

exports.handler = (event, context) => {
  http
    .get(
      "http://httpbin.org/headers",
      {
        headers: {
          "X-My-Header": "secret-token"
        }
      },
      response => {
        var result = "";
        console.log("Success, with: " + response.statusCode);
        context.done(null);
      }
    )
    .on("error", err => {
      console.log("Error, with: " + err.message);
      context.done("Failed");
    });
};

handler();
